Project

General

Profile

Actions

Bug #5783

closed

Rudder virtualhosts are missing a 2.4 compatible proxy definition

Added by Matthieu CERDA over 7 years ago. Updated over 7 years ago.

Status:
Released
Priority:
1
Category:
System integration
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:

Description

As Dennis said here http://www.rudder-project.org/redmine/issues/5183#note-4 , we miss the following entry in Rudder's SSL vhost:

<Proxy http://localhost:8080/rudder*>
  <IfVersion < 2.4>
    Order deny,allow
    Allow From all
  </IfVersion>
  <IfVersion >= 2.4> 
    Require all granted
  </IfVersion>
</Proxy>


Related issues 1 (0 open1 closed)

Related to Rudder - User story #5183: Make Rudder Apache 2.4 compliantReleasedMatthieu CERDA2014-06-26Actions
Actions #1

Updated by Matthieu CERDA over 7 years ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Matthieu CERDA to Benoît PECCATTE
  • % Done changed from 0 to 100
  • Pull Request set to https://github.com/Normation/rudder/pull/660
Actions #2

Updated by Matthieu CERDA over 7 years ago

  • Category set to Server components
Actions #3

Updated by Matthieu CERDA over 7 years ago

  • Category changed from Server components to System integration
Actions #4

Updated by Matthieu CERDA over 7 years ago

  • Status changed from Pending technical review to Pending release
  • Assignee changed from Benoît PECCATTE to Jonathan CLARKE

PR has been merged in commit 6d23984a0b067e1dae65f54c33ac982fc16fd794

Actions #5

Updated by Vincent MEMBRÉ over 7 years ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 2.11.5, which was released today (16/12/14)

Actions

Also available in: Atom PDF